Subject: Re: [PATCH] MAINTAINERS: Update path to tcb_clksrc.c

From: <[email-masked]>
Date: Fri, 23 Aug 2019 08:20:58 +0000

On 14/08/2019 at 11:08, Alexandre Belloni wrote:
> External E-Mail
> 
> 
> On 13/08/2019 08:11:23+0000, Nicolas Ferre wrote:
>> On 13/08/2019 at 08:10, Denis Efremov wrote:
>>> Update MAINTAINERS record to reflect the filename change
>>> from tcb_clksrc.c to timer-atmel-tcb.c
>>>
>>> Cc: Nicolas Ferre <[email-masked]>
>>
>> Acked-by: Nicolas Ferre <[email-masked]>
>> But, while you're at it, I would add another line: see below...
>>
>>> Cc: Alexandre Belloni <[email-masked]>
>>> Cc: [email-masked]
>>> Fixes: a7aae768166e ("clocksource/drivers/tcb_clksrc: Rename the file for consistency")
>>> Signed-off-by: Denis Efremov <[email-masked]>
>>> ---
>>>    MAINTAINERS | 2 +-
>>>    1 file changed, 1 insertion(+), 1 deletion(-)
>>>
>>> diff --git a/MAINTAINERS b/MAINTAINERS
>>> index c9ad38a9414f..3ec8154e4630 100644
>>> --- a/MAINTAINERS
>>> +++ b/MAINTAINERS
>>> @@ -10637,7 +10637,7 @@ M:	Nicolas Ferre <[email-masked]>
>>
>> +M:      Alexandre Belloni <[email-masked]>
>>
>> But Alexandre have to agree, of course.
>>
>>>    L:	[email-masked] (moderated for non-subscribers)
>>>    S:	Supported
>>>    F:	drivers/misc/atmel_tclib.c
>>> -F:	drivers/clocksource/tcb_clksrc.c
>>> +F:	drivers/clocksource/timer-atmel-tcb.c
>>>    
>>>    MICROCHIP USBA UDC DRIVER
>>>    M:	Cristian Birsan <[email-masked]>
>>
>> We could also remove this entry and mix it with:
>> "ARM/Microchip (AT91) SoC support"
>>
>> But I prefer to keep it separated like this for various reasons.
>>
> 
> I would simply remove this entry because all the files are already
> matching the SoC entry (it has N: atmel) and atmel_tclib will go away (I
> have a series to do that).

All right: let's remove it.

Thanks Denis for the heads-up!

Best regards,
   Nicolas

> If you want to keep a separate entry, maybe we should then add the
> system timer and pit drivers.
> 
> 

-- 
Nicolas Ferre

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel